# MatGetOwnershipRanges

Returns the range of matrix rows owned by each process

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetOwnershipRanges(Mat mat,const PetscInt **ranges)

Not Collective

### Input Parameters

mat -the matrix

### Output Parameters

ranges -start of each processors portion plus one more then the total length at the end

### See Also

MatGetOwnershipRange()

Level:beginner
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages